## org.codehaus.plexus.component.discovery
Interface ComponentDiscoveryListener

    public interface ComponentDiscoveryListener

A listener which responds in some way to component discovery by a PlexusContainer.

Method Summary
`void` `componentDiscovered(ComponentDiscoveryEvent event)` Signals to this listener that a component has been discovered.
`java.lang.String` `getId()` Returns this listener's unique key.

Method Detail

### componentDiscovered

    void componentDiscovered(ComponentDiscoveryEvent event)

  Signals to this listener that a component has been discovered.

  Parameters:
    `event` - the event that signals what components have been discovered

### getId

    java.lang.String getId()

  Returns this listener's unique key.

  Returns:
    this listener's unique key

Copyright © 2011. All Rights Reserved.